Skip to main content
POST
Add or update a tax code for an employee

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

X-Org-Id
string
header
required

Organisation to scope the request to. Required when the principal can access more than one organisation; optional for single-organisation principals (the authorizer resolves it automatically).

Path Parameters

employeeId
string
required

The ID of the employee

Body

application/json
code
string
required

The tax code for the employee.

Example:

"1257L"

effectiveDate
string | null

The effective date of the tax code, if none is set, created date is used.

Example:

"2024-04-06"

reason
string

Reason for the tax code change

Example:

"Standard tax code"

issuedBy
string

Who issued the tax code change. Valid values: 'HMRC', 'Employer'

Example:

"HMRC"

week1Month1
boolean

Whether the tax code is week1Month1, meaning basis non cumulative

Example:

false

Response

Tax code updated successfully

message
object
content
object
validationIssues
object[]
messageToken
string